/***  7seg 4digit frequency counter

 MUST BE V1 PIN CONFIGURATION

SEG-A(11)    PD4    4
SEG-B(7)     PB0    8
SEG-C(4)     PB3    11
SEG-D (2)    PB5    13
SEG-E(1)     PC0    14
SEG-F(10)    PD2    2  **
SEG-G(5)     PB2    10
SEG-DP(3)    PB4    12

DIG-1(12)    PD3    3
DIG-2 (9)    PD6    6
DIG-3 (8)    PD7    7
DIG-4 (6)    PB1    9

 */

#include <Sseg.h>
#include <FreqCounter.h>

Sseg mySseg = Sseg(4, 8, 11, 13, 14, 2, 10, 12, 3, 6, 7, 9);
long int frq;

uint8_t hello[] = {
  0b00000000,
  0b00000000,
  0b00000000,
  0b00000000,
  0b01101110, // H
  0b10011110, // E
  0b00011100, // L
  0b00011100, // L
  0b00111010, // o
  0b00000000, // 
  NUM_PAT_7,  // 7
  0b10110110, // S
  NUM_PAT_E,  // E
  0b11110110, // G
  0b00000001
};

int i = 0;

void setup()
{
  mySseg.begin();
  mySseg.setZeroSupress(0);
}

void loop()
{
 FreqCounter::f_comp= 8;             // Set compensation to 12
 FreqCounter::start(10);            // Start counting with gatetime of 100ms
 while (FreqCounter::f_ready == 0)        // wait until counter ready
 frq=FreqCounter::f_freq;            // read result
  if ((++i) > 10000)
    i=0;
  mySseg.writeNum(i);
//  mySseg.update();
  mySseg.updateWithDelay(10);

}

